Bug 36868 - White screen in module "Repository Settings"
White screen in module "Repository Settings"
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - App-Center
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0-0-errata
Assigned To: Florian Best
Sönke Schwardt-Krummrich
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-19 12:08 CET by Sönke Schwardt-Krummrich
Modified: 2015-01-13 11:26 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
Screenshot before and after clicking "Installieren" (304.77 KB, image/gif)
2014-11-21 10:55 CET, Sönke Schwardt-Krummrich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2014-11-19 12:08:17 CET
In module "repository settings" (former part of the app center module):

if the "install" button is used for a component with defined "defaultpackages", a white screen opens and nothing happens.

This is a problem for e.g. OXSE and prevents users from installing software.
Comment 1 Florian Best univentionstaff 2014-11-19 17:22:10 CET
A screenshot would be helpful to understand the problem.
Comment 2 Sönke Schwardt-Krummrich univentionstaff 2014-11-21 10:55:22 CET
Created attachment 6457 [details]
Screenshot before and after clicking "Installieren"
Comment 3 Florian Best univentionstaff 2014-11-28 22:49:58 CET
Jeah, selectChild(packages) was done but packages didn't exists.
YAML adapted.
Comment 4 Sönke Schwardt-Krummrich univentionstaff 2014-12-10 21:43:33 CET
(In reply to Florian Best from comment #3)
> Jeah, selectChild(packages) was done but packages didn't exists.
> YAML adapted.

The white page is gone, but now after pressing "Install" the module "repository settings" morphs instantly to the module "software management". No matter if the confirmation box ("Do you really want to install strace?") is confirmed or denied, the module is still a "software management" module.

(If the user confirms the installation, the installation was successful and the user confirms also the UMC restart, then there is no real workflow problem, but it is still confusing.)
Comment 5 Florian Best univentionstaff 2014-12-11 11:59:33 CET
In UCS 3.2-4 it is the same behavior (but in tabbed mode). This has been fixed. Also a reload of the components is done after installing a component.
Comment 6 Sönke Schwardt-Krummrich univentionstaff 2015-01-12 14:26:35 CET
UCS 4.0-0:
OK: code change
OK: functionality
OK: YAML

(In reply to Florian Best from comment #5)
> In UCS 3.2-4 it is the same behavior (but in tabbed mode). This has been
> fixed.
"This" == "in UCS 4.0-0 errata"
Comment 7 Moritz Muehlenhoff univentionstaff 2015-01-13 11:26:40 CET
http://errata.univention.de/ucs/4.0/22.html